# SyncStatus

    public enum SyncStatus : Equatable

Undocumented

- `unprepared`

  Indicates that this Synchronizer is actively preparing to start, which usually involves setting up database tables, migrations or taking other maintenance steps that need to occur after an upgrade.

  #### Declaration

  Swift

      case unprepared

- `downloading(_:)`

  Indicates that this Synchronizer is actively downloading new blocks from the server.

  #### Declaration

  Swift

      case downloading(_: BlockProgress)

- `validating`

  Indicates that this Synchronizer is actively validating new blocks that were downloaded from the server. Blocks need to be verified before they are scanned. This confirms that each block is chain-sequential, thereby detecting missing blocks and reorgs.

  #### Declaration

  Swift

      case validating

- `scanning(_:)`

  Indicates that this Synchronizer is actively scanning new valid blocks that were downloaded from the server.

  #### Declaration

  Swift

      case scanning(_: BlockProgress)

- `enhancing(_:)`

  Indicates that this Synchronizer is actively enhancing newly scanned blocks with additional transaction details, fetched from the server.

  #### Declaration

  Swift

      case enhancing(_: EnhancementProgress)

- `fetching`

  fetches the transparent balance and stores it locally

  #### Declaration

  Swift

      case fetching

- `synced`

  Indicates that this Synchronizer is fully up to date and ready for all wallet functions. When set, a UI element may want to turn green.

  #### Declaration

  Swift

      case synced

- `stopped`

  Indicates that [stop] has been called on this Synchronizer and it will no longer be used.

  #### Declaration

  Swift

      case stopped

- `disconnected`

  Indicates that this Synchronizer is disconnected from its lightwalletd server. When set, a UI element may want to turn red.

  #### Declaration

  Swift

      case disconnected

- `error(_:)`

  Undocumented

  #### Declaration

  Swift

      case error(_: Error)

- `isSyncing`

  Undocumented

  #### Declaration

  Swift

      public var isSyncing: Bool { get }

- `isSynced`

  Undocumented

  #### Declaration

  Swift

      public var isSynced: Bool { get }

- `==(_:_:)`

  #### Declaration

  Swift

      public static func == (lhs: SyncStatus, rhs: SyncStatus) -> Bool

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.